# WOK
TKWOK
WOKDeliv

# WOKDeliv_DeliverySOURCES Class Reference

Process listing for step source in Delivery
.

`#include <WOKDeliv_DeliverySOURCES.hxx>`

Inheritance diagram for WOKDeliv_DeliverySOURCES:

[legend]

## Public Member Functions

Standard_EXPORT | WOKDeliv_DeliverySOURCES (const Handle(WOKMake_BuildProcess)&aprocess, const Handle(WOKernel_DevUnit)&aunit, const Handle(TCollection_HAsciiString)&acode, const Standard_Boolean checked, const Standard_Boolean hidden)
Standard_EXPORT Handle_TCollection_HAsciiString | AdmFileType () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT Standard_Boolean | HandleInputFile (const Handle(WOKMake_InputFile)&anitem)
| 1 - Adds File In list if file is an input of step 2 - Sets Build Flag if file is a candidate to construction

## Private Member Functions

Standard_EXPORT void | Execute (const Handle(WOKMake_HSequenceOfInputFile)&execlist)
| Executes underlying steps Computes output files .
Standard_EXPORT Standard_Boolean | ExecuteMetaStep ()
Standard_EXPORT Standard_Boolean | ExecuteSubStep ()

## Constructor & Destructor Documentation

Standard_EXPORT WOKDeliv_DeliverySOURCES::WOKDeliv_DeliverySOURCES | ( | const Handle(WOKMake_BuildProcess)& | aprocess,
|  | const Handle(WOKernel_DevUnit)& | aunit,
|  | const Handle(TCollection_HAsciiString)& | acode,
|  | const Standard_Boolean | checked,
|  | const Standard_Boolean | hidden
| ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString WOKDeliv_DeliverySOURCES::AdmFileType | ( |  | ) | const`[virtual]`

| Reimplemented from WOKMake_MetaStep.

Standard_EXPORT void WOKDeliv_DeliverySOURCES::Execute | ( | const Handle(WOKMake_HSequenceOfInputFile)& | execlist | ) | `[private, virtual]`

| Reimplemented from WOKMake_MetaStep.

Standard_EXPORT Standard_Boolean WOKDeliv_DeliverySOURCES::ExecuteMetaStep | ( |  | ) | `[private]`

Standard_EXPORT Standard_Boolean WOKDeliv_DeliverySOURCES::ExecuteSubStep | ( |  | ) | `[private]`

Standard_EXPORT const WOKDeliv_DeliverySOURCES::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKDeliv_DeliveryMetaStep.

Standard_EXPORT Standard_Boolean WOKDeliv_DeliverySOURCES::HandleInputFile | ( | const Handle(WOKMake_InputFile)& | anitem | ) | `[protected, virtual]`

| Reimplemented from WOKMake_MetaStep.

The documentation for this class was generated from the following file:

- WOKDeliv_DeliverySOURCES.hxx